@if (loading) {
<progress class="progress w-full"></progress>
} @if (isError) {
<div role="alert" class="alert alert-error">
    <svg
        xmlns="http://www.w3.org/2000/svg"
        class="stroke-current shrink-0 h-6 w-6"
        fill="none"
        viewBox="0 0 24 24"
    >
        <path
            stroke-linecap="round"
            stroke-linejoin="round"
            stroke-width="2"
            d="M10 14l2-2m0 0l2-2m-2 2l-2-2m2 2l2 2m7-2a9 9 0 11-18 0 9 9 0 0118 0z"
        />
    </svg>
    <span>เกิดข้อผิดพลาด กรุณาตรวจสอบ.</span>
    <div>
        <button class="btn btn-sm btn-accent" (click)="getAllUser()">
            ลองใหม่อีกครั้ง
        </button>
    </div>
</div>
}

<table class="table">
    <!-- head -->
    <thead>
        <tr>
            <th>รหัส</th>
            <th>ชื่อผู้ใช้งาน</th>
            <th>ชื่อ - สกุล</th>
            <th>เพศ</th>
            <th>วันเกิด</th>
            <th>อีเมล์</th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @for (user of users; track $index) {
        <tr class="hover">
            <td>{{ user.user_id }}</td>
            <td>{{ user.username | uppercase }}</td>
            <td>{{ user.first_name }} {{ user.last_name }}</td>
            <td>{{ user.gender | gender }}</td>
            <td>{{ user.birthDate | thaiDate }}</td>
            <td>{{ user.email }}</td>
            <td>
                <div class="space-x-2">
                    <button class="btn btn-primary">แก้ไข</button>
                    <button
                        class="btn btn-warning"
                        (click)="changePassword(user)"
                    >
                        เปลี่ยนรหัสผ่าน
                    </button>
                    <button class="btn btn-error">ลบรายการ</button>
                </div>
            </td>
        </tr>
        } @empty {
        <tr>
            <td colspan="6">
                <div class="text-center">ไม่พบข้อมูล</div>
            </td>
        </tr>
        }
    </tbody>
</table>

<div class="flex justify-center pt-4">
    <div class="join">
        @for (page of allPages; track $index) {
        <button
            class="join-item btn"
            [class.btn-active]="page === currentPage"
            (click)="changePage(page)"
        >
            {{ page }}
        </button>
        }
    </div>
</div>
<app-modal-change-password (onChange)="onChangePassword($event)" />
